summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorRichard Jones <rjones@redhat.com>2009-11-10 18:38:54 +0000
committerRichard Jones <rjones@redhat.com>2009-11-10 18:44:37 +0000
commit3ca69d9db34ebb31eba7b370ffe25a6178c83449 (patch)
tree5f228c49144234eb4261b4e1edb9f1b5ad34dd43 /autogen.sh
parent61a1449b79e304bb8619e0781ec22cb600bedc01 (diff)
downloadlibguestfs-3ca69d9db34ebb31eba7b370ffe25a6178c83449.tar.gz
libguestfs-3ca69d9db34ebb31eba7b370ffe25a6178c83449.tar.xz
libguestfs-3ca69d9db34ebb31eba7b370ffe25a6178c83449.zip
Check for ocaml-xml-light-devel (xml-light.cmxa)
Also unquote $pkg since OCaml package names can never contain spaces or other unfriendly characters.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index bd15a271..55842b14 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -52,15 +52,16 @@ require_ocaml_pkg()
test -d .git || return 1
url=$(git config remote.origin.url) || return 1
case $url in
- *git.et.redhat.com/libguestfs.git) ;;
+ *et.redhat.com/*) ;;
*) return 1;;
esac
- ocamlfind query "$pkg" || return 1
+ ocamlfind query $pkg || return 1
+ test -f "$(ocamlfind query $pkg)/xml-light.cmxa" || return 1
return 0
}
require_ocaml_pkg xml-light \
- || { echo "you must have ocaml, ocamlfind and ocaml-xml-light"; exit 1; }
+ || { echo "you must have ocaml, ocamlfind, ocaml-xml-light and ocaml-xml-light-devel"; exit 1; }
# If no arguments were specified and configure has run before, use the previous
# arguments